import {
  __decorateClass
} from "../../../chunks/chunk.QU3DSPNU.js";
import { property } from "lit/decorators.js";
import { when } from "lit/directives/when.js";
import { gdsCustomElement, html } from "../../../scoping.js";
import { GdsBlur } from "../../blur/blur.component.js";
import { GdsFormattedAccount } from "../../formatted-text/account/formatted-account.component.js";
let GdsSensitiveAccount = class extends GdsFormattedAccount {
  constructor() {
    super(...arguments);
    this.hide = false;
  }
  render() {
    return when(
      this.hide,
      () => html`<gds-blur>${super.render()}</gds-blur>`,
      () => super.render()
    );
  }
};
__decorateClass([
  property({ type: Boolean })
], GdsSensitiveAccount.prototype, "hide", 2);
GdsSensitiveAccount = __decorateClass([
  gdsCustomElement("gds-sensitive-account", { dependsOn: [GdsBlur] })
], GdsSensitiveAccount);
export {
  GdsSensitiveAccount
};
